package tik_tok

import (
	"fmt"
	"github.com/syyongx/php2go"
	"github.com/tidwall/gjson"
)

//创建推广位
func GoodsCreatePid(args map[string]string) map[string]string {

	params := map[string]interface{}{"media_type": "4", "media_name": args["media_name"], "site_name": args["site_name"]}
	send, err := Send(args["appkey"], args["appSecret"], "buyin.kolPidCreate", params, args["acctoken"])
	fmt.Println(send)
	var data = map[string]string{}
	if err != nil {
		return data
	}
	data["pid"] = gjson.Get(send, "data.pid").String()
	return data
}
func GoodsConvertUrl(args map[string]string) map[string]string {
	params := map[string]interface{}{"pid": args["pid"], "external_info": args["external_info"], "product_url": args["product_url"]}
	send, err := Send(args["appkey"], args["appSecret"], "buyin.kolProductShare", params, args["acctoken"])
	fmt.Println(send)
	var data = map[string]string{}
	if err != nil {
		return data
	}
	data["deeplink"] = gjson.Get(send, "data.dy_deeplink").String()
	data["content"] = php2go.Base64Encode(gjson.Get(send, "data.dy_password").String())
	data["qr_code"] = gjson.Get(send, "data.qr_code.url").String()

	return data
}
func LiveCreatePid(args map[string]string) map[string]string {

	params := map[string]interface{}{"media_type": "4", "media_name": args["media_name"], "site_name": args["site_name"]}
	send, err := Send(args["appkey"], args["appSecret"], "buyin.institutePidCreate", params, args["acctoken"])
	fmt.Println(send)
	var data = map[string]string{}
	if err != nil {
		return data
	}
	data["pid"] = gjson.Get(send, "data.pid").String()
	return data
}
func LiveConvertUrl(args map[string]string) map[string]string {

	params := map[string]interface{}{"pid_info": map[string]interface{}{"pid": args["pid"], "external_info": args["external_info"]}, "open_id": args["open_id"]}
	send, err := Send(args["appkey"], args["appSecret"], "buyin.instituteLiveShare", params, args["acctoken"])
	fmt.Println(send)
	var data = map[string]string{}
	if err != nil {
		return data
	}
	data["deeplink"] = gjson.Get(send, "data.dy_deeplink").String()
	data["content"] = php2go.Base64Encode(gjson.Get(send, "data.dy_password").String())
	data["qr_code"] = gjson.Get(send, "data.qr_code.url").String()

	return data
}

func RegimentalConvertUrl(args map[string]string) map[string]string {

	params := map[string]interface{}{"pid_info": map[string]interface{}{"pid": args["pid"], "external_info": args["external_info"]}, "open_id": args["open_id"]}
	send, err := Send(args["appkey"], args["appSecret"], "buyin.instituteLiveShare", params, args["acctoken"])
	fmt.Println(send)
	var data = map[string]string{}
	if err != nil {
		return data
	}
	data["deeplink"] = gjson.Get(send, "data.dy_deeplink").String()
	data["content"] = php2go.Base64Encode(gjson.Get(send, "data.dy_password").String())
	data["qr_code"] = gjson.Get(send, "data.qr_code.url").String()

	return data
}
